/**
 * @author      ETSI / STF517 / Yann garcia
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.configtester;

import org.etsi.ttcn.tci.TciTypeClass;
import org.etsi.ttcn.codec.CodecFactory;

import org.etsi.ttcn.codec.generic.Record;
import org.etsi.ttcn.codec.generic.Boolean;

public class Plugin {

    public static void init() {
        // Basics
        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.RECORD, "ConfigTester", "", Record.class);
        cf.setCodec(TciTypeClass.BOOLEAN, "ConfigTester", "", Boolean.class);
        cf.setCodec(TciTypeClass.CHARSTRING, "ConfigTester", "", CfEvent.class);
    }
}